QGIS Application - Bug report #18323
Multi-part Polygon is not mapped with shortest segments
2018-03-03 08:49 PM - Michael Miller

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.18.16 Regression?: No
Operating System: Microsoft Windows Pro 10, version 1709 | Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 26213
Description

| loaded the edna coverage from USGS into QGIS 2.18.16 and the display with Google Physical as backdrop is attached as an image.

The second polygon from the top is not using shortest path segments to construct the internal area (blue). Seems to me like a major issue
if its occurrence within the program is unpredictable.

Related issues:

Duplicates QGIS Application - Bug report # 13380: reprojection of lat/long li... Closed 2015-09-18
History

#1 - 2018-03-03 10:16 PM - Michael Miller

- File ge.png added

- File tatuk.png added

Revision: | misunderstood what | saw earlier. After opening the same file in Tatuk viewer, it looks like the big polygon over Alaska and the small triangle
over Siberia are not being separated properly, because they appear to be combined by QGIS into a single polygon. The file is available from the USGS at
https://dds.cr.usgs.gov/ee-data/coveragemaps/shp/ee/edna/edna.zip

#2 - 2018-03-03 10:18 PM - Giovanni Manghi

- Priority changed from High to Normal

- Assignee deleted (Victor Olaya)

- Category changed from Processing/Modeller to Projection Support

Michael Miller wrote:

Revision: | misunderstood what | saw earlier. After opening the same file in Tatuk viewer, it looks like the big polygon over Alaska and the small
triangle over Siberia are not being separated properly, because they appear to be combined by QGIS into a single polygon. The file is available from
the USGS at

https.//dds.cr.usgs.gov/ee-data/coveragemaps/shp/ee/edna/edna.zip

the problem is a projection one, you have features crossing the dateline, and they are always a pain. I'm sure there is/are other tickets about it, please try
do a search, if you find any close this as duplicate.

#3 - 2018-03-03 10:18 PM - Giovanni Manghi
- Status changed from Open to Feedback
https://dds.cr.usgs.gov/ee-data/coveragemaps/shp/ee/edna/edna.zip
https://dds.cr.usgs.gov/ee-data/coveragemaps/shp/ee/edna/edna.zip

#4 - 2018-08-23 01:00 AM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to duplicate

Duplicate of #13380

#5 - 2018-08-23 09:18 AM - Jiirgen Fischer
- Duplicates Bug report #13380: reprojection of lat/long lines across 180 in mercator map fails added

Files

ednaPolygons.png 226 KB 2018-03-03 Michael Miller
tatuk.png 22 KB 2018-03-03 Michael Miller
ge.png 503 KB 2018-03-03 Michael Miller
